Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

List audit events.

List audit events. An organization-scoped read using JSON filter arguments; requires audit.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/list_audit_events
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
actionstring
actorstring
cursorstring
from_msstring<date-time>
target_tablestring
to_msstring<date-time>
Responses
200

Successful read.

dataobjectrequired
Show properties
actionsstring[]required
actorsobject[]required
Show properties
Array of object
idstringrequired
labelstringrequired
continue_cursorstringrequired
entitiesstring[]required
eventsobject[]required
Show properties
Array of object
actionstringrequired
actor_idstring

Opaque Soljio resource ID.

min length 1
actor_kindstringrequired
Show properties
Any of:
string
string
string
string
string
string
actor_labelstringrequired
changesobject[]required
Show properties
Array of object
fieldstringrequired
fromstringrequired
tostringrequired
created_atstring<date-time>required
detailsobject[]required
Show properties
Array of object
labelstringrequired
valuestringrequired
idstringrequired

Opaque Soljio resource ID.

min length 1
linkobject
Show properties
idstringrequired
kindstringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
starts_atstring<date-time>
target_idstring
target_labelstring
target_tablestring
is_donebooleanrequired
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/list_audit_events' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "action": "string",
  "actor": "string",
  "cursor": "string",
  "from_ms": "2019-08-24T14:15:22Z",
  "target_table": "string",
  "to_ms": "2019-08-24T14:15:22Z"
}'
Response
{
  "data": {
    "actions": [
      "string"
    ],
    "actors": [
      {
        "id": "string",
        "label": "string"
      }
    ],
    "continue_cursor": "string",
    "entities": [
      "string"
    ],
    "events": [
      {
        "action": "string",
        "actor_id": "string",
        "actor_kind": "api",
        "actor_label": "string",
        "changes": [
          {
            "field": "string",
            "from": "string",
            "to": "string"
          }
        ],
        "created_at": "2019-08-24T14:15:22Z",
        "details": [
          {
            "label": "string",
            "value": "string"
          }
        ],
        "id": "string",
        "link": {
          "id": "string",
          "kind": "offering",
          "starts_at": "2019-08-24T14:15:22Z"
        },
        "target_id": "string",
        "target_label": "string",
        "target_table": "string"
      }
    ],
    "is_done": true
  },
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}